function mini_create ()
  W=0x00000001;
  S=0x00000002;
  E=0x00000004;
  N=0x00000008;
  EXIT=0x80000000;
  show_help_wnd=true;
  init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ "СТОРОНЫ СВЕТА".
--  1-й параметр - Код игры. Для этой игры код - 36.
--  2-й параметр - Ширина игровой доски в полях.
--  3-й параметр - Высота игровой доски в полях.
  -- ПОСТРОЧНЫЙ СПИСОК ПОЛЕЙ. Индекс начинается с нуля.
--                          ...
--  (i+4)-й параметр - i-е поле.
--                          ...
--  (2-й*3-й+4)-й параметр - Стартовый идентификатор для фантомных объектов.
--                           P.S. Должен быть свободен коридор шириной 2-й*3-й.
--  (2-й*3-й+5)-й параметр - Имя текстlevы для фантомного объекта.
--  (2-й*3-й+6)-й параметр - X-координата верхнего левого угла доски.
--  (2-й*3-й+7)-й параметр - Y-координата верхнего левого угла доски.
--  (2-й*3-й+8)-й параметр - Ширина поля в пикселях.
--  (2-й*3-й+9)-й параметр - Высота поля в пикселях.
    create_mini(36,5,5,3*4096+S,3*4096+S,1*4096+E,3*4096+S,3*4096+W,1*4096+N,1*4096+E,2*4096+E,3*4096+W,3*4096+S,2*4096+E,1*4096+W,2*4096+N,1*4096+N,1*4096+W,1*4096+S,1*4096+N,2*4096+E,1*4096+W,1*4096+N,1*4096+E,3*4096+N,1*4096+E,EXIT,2*4096+W,33550336,"texture",318,140,76,73);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
BlockCursor(false);
    setcurentleaf("poezd",20,0);
      flags.nohints=false;
    if flags.minicomplete36 then
  --messagebox("6");
  playeffect("29");
    flags.levelcomplete=true;
  --  messagebox("7");
    DarkScreen(true);
    ShowMenu(false)
  --  messagebox("8");
  return;end;
  return;end;
  if sender==10 then
    flags.minicomplete36=true;
    StartTimer(2100,1);
    BlockCursor(true);
  return; end;
  if sender==37 then
     skipping=true;
  return;end;  
  if sender==36 and id==2100 then
    clear_satelite_leaf("poezd");
  return;end;  
    if sender==35 then
    if not flags.minicomplete36 then
    iIndex=ptrGetSource();
    if iIndex~=-1 then
    t=(iIndex+646);
    SetObjectPosition(675,x1[t],y1[t])
    speciale_action(2,675)
    -- SetWindowText(iIndex.."         "..t);
    end;
      return; end;
      return; end;
      if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
    if sender==39 then
     if not flags.minicomplete36 and iIndex~=-1 then
    speciale_action(2,675)
      return; end;
      return; end;
  if sender==100 then
    if not help then
      CreateWindow(200,200,"1",100,"messageinfo",30,50)
      --playeffect("01");
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then

       helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete36 then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id>645 and id<671 and not flags.minicomplete36
      then
        check_mini_game_Pointers2();
    playeffect("18");
        return
      end;
    if id==671
      then
        check_mini_game_Pointers2_reset();
    playeffect("23");
    speciale_action(2,671)
    flags.najali =true;
        return
      end;
  if id==645 then
    playeffect("17");  
    finish_mini_game(false);
    clear_satelite_leaf("poezd");
    DeleteResource(    "m36_close"   );
    DeleteResource(    "m36_fon"   );
    DeleteResource(    "texture23"   );
    DeleteResource(    "Krugi"   );

  return;end;     
    -- if id==655 then
      -- flags.object=true;
      -- speciale_action(2,655);
      -- mini_game_reset_Skid();  
    -- return;end;
  return; end;
  
  if sender==6 then
      if helpbtn then
       CreateWindow(200,200,"1",100,"messageinfo",30,50)
         playeffect("11");  
      helpbtn=false;
    end;
    if flags.najali then
    speciale_action(2,671)
    flags.najali =false;
    end;
  return; end;
    -- if not flags.minicomplete5  then
      -- check_mini_game_Skid(0);
    -- return;end
    -- return;end
    
end;
function mini_delete ()

end;